package com.steerinfo.ems.trmcalpointvalue.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;
import java.math.BigDecimal;
import java.util.HashMap;

public class TRmCalpointValue implements IBasePO<HashMap<String, Object>> {
    /**
     * 时间(CLOCK,VARCHAR,40)
     */
    @ApiModelProperty(value="时间",required=false)
    private String clock;

    /**
     * 时间粒度(TIMEGRANID,VARCHAR,40)
     */
    @ApiModelProperty(value="时间粒度",required=false)
    private String timegranid;

    /**
     * 计量点ID(ITEMID,VARCHAR,40)
     */
    @ApiModelProperty(value="计量点ID",required=false)
    private String itemid;

    /**
     * 计量点名称(ITEMNAME,VARCHAR,200)
     */
    @ApiModelProperty(value="计量点名称",required=true)
    private String itemname;

    /**
     * 修正值(CORRECTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="修正值",required=true)
    private BigDecimal correctvalue;

    /**
     * 最终值(APPORTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="最终值",required=true)
    private BigDecimal apportvalue;

    /**
     * 累计值(SUMVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计值",required=true)
    private BigDecimal sumvalue;

    /**
     * 折标值(STDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="折标值",required=true)
    private BigDecimal stdvalue;

    /**
     * 仪表期初值(MINTVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="仪表期初值",required=true)
    private BigDecimal mintvalue;

    /**
     * 仪表期末值(MENDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="仪表期末值",required=true)
    private BigDecimal mendvalue;

    /**
     * 仪表平均值(MAVGVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="仪表平均值",required=true)
    private BigDecimal mavgvalue;

    /**
     * 记录创建时间(REC_TIME,VARCHAR,40)
     */
    @ApiModelProperty(value="记录创建时间",required=true)
    private String recTime;

    /**
     * 班组(TEAMSORT,VARCHAR,10)
     */
    @ApiModelProperty(value="班组",required=true)
    private String teamsort;

    /**
     * 修改次数(MODIFYFLAG,DECIMAL,4)
     */
    @ApiModelProperty(value="修改次数",required=true)
    private Short modifyflag;

    /**
     * 是否锁定(ISLOCK,VARCHAR,1)
     */
    @ApiModelProperty(value="是否锁定",required=true)
    private String islock;

    /**
     * 锁定报表ID(LOCKID,VARCHAR,64)
     */
    @ApiModelProperty(value="锁定报表ID",required=true)
    private String lockid;

    /**
     * 计算值(ACTUALVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="计算值",required=true)
    private BigDecimal actualvalue;

    /**
     * 累计折标值(SUMSTDVALUE,DECIMAL,30)
     */
    @ApiModelProperty(value="累计折标值",required=true)
    private BigDecimal sumstdvalue;

    /**
     * 修改人(UPMAN,VARCHAR,64)
     */
    @ApiModelProperty(value="修改人",required=false)
    private String upman;

    /**
     * 修改原因(UPDATE_REASON,VARCHAR,200)
     */
    @ApiModelProperty(value="修改原因",required=true)
    private String updateReason;

    /**
     * 备注(BZ,VARCHAR,200)
     */
    @ApiModelProperty(value="备注",required=true)
    private String bz;
    
    /**
     * 创建人(CRMAN,VARCHAR,40)
     */
    @ApiModelProperty(value="创建人",required=false)
    private String crman;

    /**
     * 修改时间(UPTIME,VARCHAR,20)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String uptime;

    private static final long serialVersionUID = 1L;

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getTimegranid() {
        return timegranid;
    }

    public void setTimegranid(String timegranid) {
        this.timegranid = timegranid == null ? null : timegranid.trim();
    }

    public String getItemid() {
        return itemid;
    }

    public void setItemid(String itemid) {
        this.itemid = itemid == null ? null : itemid.trim();
    }

    public String getItemname() {
        return itemname;
    }

    public void setItemname(String itemname) {
        this.itemname = itemname == null ? null : itemname.trim();
    }

    public BigDecimal getCorrectvalue() {
        return correctvalue;
    }

    public void setCorrectvalue(BigDecimal correctvalue) {
        this.correctvalue = correctvalue;
    }

    public BigDecimal getApportvalue() {
        return apportvalue;
    }

    public void setApportvalue(BigDecimal apportvalue) {
        this.apportvalue = apportvalue;
    }

    public BigDecimal getSumvalue() {
        return sumvalue;
    }

    public void setSumvalue(BigDecimal sumvalue) {
        this.sumvalue = sumvalue;
    }

    public BigDecimal getStdvalue() {
        return stdvalue;
    }

    public void setStdvalue(BigDecimal stdvalue) {
        this.stdvalue = stdvalue;
    }

    public BigDecimal getMintvalue() {
        return mintvalue;
    }

    public void setMintvalue(BigDecimal mintvalue) {
        this.mintvalue = mintvalue;
    }

    public BigDecimal getMendvalue() {
        return mendvalue;
    }

    public void setMendvalue(BigDecimal mendvalue) {
        this.mendvalue = mendvalue;
    }

    public BigDecimal getMavgvalue() {
        return mavgvalue;
    }

    public void setMavgvalue(BigDecimal mavgvalue) {
        this.mavgvalue = mavgvalue;
    }

    public String getRecTime() {
        return recTime;
    }

    public void setRecTime(String recTime) {
        this.recTime = recTime == null ? null : recTime.trim();
    }

    public String getTeamsort() {
        return teamsort;
    }

    public void setTeamsort(String teamsort) {
        this.teamsort = teamsort == null ? null : teamsort.trim();
    }

    public Short getModifyflag() {
        return modifyflag;
    }

    public void setModifyflag(Short modifyflag) {
        this.modifyflag = modifyflag;
    }

    public String getIslock() {
        return islock;
    }

    public void setIslock(String islock) {
        this.islock = islock == null ? null : islock.trim();
    }

    public String getLockid() {
        return lockid;
    }

    public void setLockid(String lockid) {
        this.lockid = lockid == null ? null : lockid.trim();
    }

    public BigDecimal getActualvalue() {
        return actualvalue;
    }

    public void setActualvalue(BigDecimal actualvalue) {
        this.actualvalue = actualvalue;
    }

    public BigDecimal getSumstdvalue() {
        return sumstdvalue;
    }

    public void setSumstdvalue(BigDecimal sumstdvalue) {
        this.sumstdvalue = sumstdvalue;
    }

    public String getUpdateReason() {
        return updateReason;
    }

    public void setUpdateReason(String updateReason) {
        this.updateReason = updateReason == null ? null : updateReason.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    public String getUpman() {
		return upman;
	}

	public void setUpman(String upman) {
		this.upman = upman;
	}

	public String getCrman() {
		return crman;
	}

	public void setCrman(String crman) {
		this.crman = crman;
	}

	public String getUptime() {
		return uptime;
	}

	public void setUptime(String uptime) {
		this.uptime = uptime;
	}

	@Override
	 public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", clock=").append(clock);
        sb.append(", timegranid=").append(timegranid);
        sb.append(", itemid=").append(itemid);
        sb.append(", itemname=").append(itemname);
        sb.append(", correctvalue=").append(correctvalue);
        sb.append(", apportvalue=").append(apportvalue);
        sb.append(", sumvalue=").append(sumvalue);
        sb.append(", stdvalue=").append(stdvalue);
        sb.append(", mintvalue=").append(mintvalue);
        sb.append(", mendvalue=").append(mendvalue);
        sb.append(", mavgvalue=").append(mavgvalue);
        sb.append(", recTime=").append(recTime);
        sb.append(", teamsort=").append(teamsort);
        sb.append(", modifyflag=").append(modifyflag);
        sb.append(", islock=").append(islock);
        sb.append(", lockid=").append(lockid);
        sb.append(", actualvalue=").append(actualvalue);
        sb.append(", sumstdvalue=").append(sumstdvalue);
        sb.append(", upman=").append(upman);
        sb.append(", updateReason=").append(updateReason);
        sb.append(", bz=").append(bz);
        sb.append(", crman=").append(crman);
        sb.append(", uptime=").append(uptime);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }

	@Override
	public HashMap<String, Object> getId() {
		HashMap<String, Object> m = new HashMap<String, Object>();
		m.put("clock", clock);
		m.put("timegranid", timegranid);
		m.put("itemid", itemid);
		return m;
	}

	@Override
	public void setId(HashMap<String, Object> id) {
		this.clock = id.get("clock") == null ? "" : id.get("clock").toString().trim();
		this.timegranid = id.get("timegranid") == null ? "" : id.get("timegranid").toString().trim();
		this.itemid = id.get("itemid") == null ? "" : id.get("itemid").toString().trim();
	}
    
}